Subject: Re: [bug#33032] Update

From: Sarah Morgensen <[email-masked]>
Date: Mon, 13 Sep 2021 20:32:40 -0700

Hello,

Andreas Enge <[email-masked]> writes:

> Hello,
>
> I just updated seqmagick to 0.8.0.
>
> Then I tried to update python-biopython to the latest version, 1.78. With it,
> seqmagick fails to compile with the following message:
>
> mportError: cannot import name 'triefind' from 'Bio'
> (/gnu/store/9cr6885z39yb5x3pbanva5h9nacmlkvz-python-biopython-1.78/lib/python3.8/site-packages/Bio/__init__.py)
>
> ======================================================================
> ERROR: Failure: ImportError (Bio.Alphabet has been removed from Biopython. In
> many cases, the alphabet can simply be ignored and removed from scripts. In a
> few cases, you may need to specify the ``molecule_type`` as an annotation on a
> SeqRecord for your script to work correctly. Please see
> https://biopython.org/wiki/Alphabet for more information.)

I think this may be fixed by updating seqmagick to 0.8.1 (current
release 0.8.4) and packaging its new dependency, pygtrie, which provides
that removed functionality.

--
Sarah